EDIT - feature request #7949

New Registration: Reference combobox to offer two search modes
12/11/2018 04:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

by default the search should be done as BEGINS_WITH search. The CONTAINS search mode should be offered as option

Associated revisions

Revision a7612c19 - 12/13/2018 05:51 PM - Andreas Kohlbecker

fix #7949 Reference combobox with begins and anywhere search mode

Revision e46361bb - 12/14/2018 11:13 AM - Andreas Kohlbecker
ref #7949 changing option captions

History

#1 - 12/13/2018 05:51 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|a7612¢19f7272069354d69c68e3385220e6af556.

#2 - 12/13/2018 05:51 PM - Andreas Kohlbecker

done, please review!

#3 - 12/13/2018 06:53 PM - Wolf-Henning Kusber
- File picture193-1.png added
- % Done changed from 50 to 90

Functionality perfect, this is what we need!
Wording and layout might be improved. "anywhere" has two problems (i) it is a little bit colloquial, (ii) it is not the question where a word occurs, but

where a sting occurs.
To discuss (see screen shot):
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/a7612c19f7272069354d69c68e3385220e6af556

#4 - 12/14/2018 11:14 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

The option captions are changed as wished.
